Bug 103977 - composite keyword ignored for two way associations
composite keyword ignored for two way associations
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
6.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-08 14:36 EDT by Archit Shah
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-14 15:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Archit Shah 2003-09-08 14:36:48 EDT
If you specify the composite keyword on one side of a two-way association, but
don't put the component keyword on the other side, the association is not
treated as a composition (e.g., no cascading delete). The metadata also doesn't
indicate the component/compositeness of the roles.
Comment 1 Archit Shah 2003-09-08 14:38:57 EDT
fixed at 35757 on branch and 35720 on tip.

Note You need to log in before you can comment on or make changes to this bug.